@charset "utf-8";
/* CSS Document */

.fs-p-productSearch {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 1fr auto;
    -ms-grid-rows: auto 1fr;
    grid-template: auto 1fr / 1fr auto;
    padding: 0.5rem 0;
}

.fs-p-productSearch__parameter {
  -ms-grid-row: 1;
  grid-row: 1;
  -ms-grid-column: 1;
  grid-column: 1;
}

.fs-p-productSearch__formSwitch {
    display: block;
    -ms-grid-row: 1;
    grid-row: 1;
    -ms-grid-column: 2;
    grid-column: 2;
    cursor: pointer;
    /* background: #fff; */
    line-height: 2;
    padding: 0 1rem;
    border: 1px solid #003d44;
    border-radius: 0.25rem;
    margin-bottom: 0.5rem;
    color: #003d44;
}

.fs-p-productSearch__formClose {
  display: none;
}

.fs-p-productSearch__search {
  overflow: auto;
  max-height: 0px;
  -ms-grid-row: 2;
  grid-row: 2;
  -ms-grid-column: 1;
  -ms-grid-column-span: 2;
  grid-column: 1 / 3;
  transition-property: max-height;
  transition-duration: 0.3s;
  transition-timing-function: ease;
  transition-delay: 0s;
  -webkit-overflow-scrolling: touch;
}

.fs-p-productSearch__form {
  background: rgba(126, 126, 126, 0.08);
  padding: 32px;
  transform: translateY(-100%);
  transition-property: all;
  transition-duration: 0.3s;
  transition-timing-function: linear;
  transition-delay: 0s;
}

.fs-p-productSearch :checked + .fs-p-productSearch__formSwitch .fs-p-productSearch__formClose {
  display: block;
}

.fs-p-productSearch :checked + .fs-p-productSearch__formSwitch .fs-p-productSearch__formOpen {
  display: none;
}

.fs-p-productSearch :checked ~ .fs-p-productSearch__search {
  max-height: 90vh;
}

.fs-p-productSearch :checked ~ .fs-p-productSearch__search .fs-p-productSearch__form {
  transform: translateY(0);
}

.fs-p-productSearch__searchButton {
    min-width: 8em;
    /* padding-left: calc(1.6em + 8px); */
    position: relative;
}

.fs-p-productSearch__searchButton::before {
  font-family: 'fs-icon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "\e932";
  font-size: 1.8rem;
  margin: auto;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 8px;
  text-align: center;
  width: 1em;
  height: 1em;
}

.fs-p-productSearch__inputTable {
  table-layout: fixed;
}

@media screen and (min-width: 768px) {
  .fs-p-productSearch__field {
    display: -ms-grid;
    display: grid;
    grid-gap: 32px;
    -ms-grid-rows: auto auto;
    grid-template-rows: auto auto;
    -ms-grid-columns: calc(50% - 8px*2) calc(50% - 8px*2);
    grid-template-columns: calc(50% - 8px*2) calc(50% - 8px*2);
  }
  .fs-p-productSearch__inputTable:nth-child(1) {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
  }
  .fs-p-productSearch__inputTable:nth-child(2) {
    -ms-grid-row: 1;
    -ms-grid-column: 2;
  }
  .fs-p-productSearch__searchButtonContainer {
    -ms-grid-row: 2;
    grid-row: 2;
    -ms-grid-column: 1;
    -ms-grid-column-span: 2;
    grid-column: 1 / 3;
  }
}

.fs-c-listControl {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: flex-end;
    flex-grow: 2;
    padding: 0;
    margin: 0.5rem 0;
    font-size: 3.3vw;
}
.fs-c-listControl > * + * {
  margin-top: 8px;
}

@media screen and (min-width: 600px) {
  .fs-c-listControl {
    flex-direction: row;
    align-items: center;
	  font-size: 1rem;
  }
  .fs-c-listControl > * + * {
    margin-top: 0;
    margin-left: 8px;
  }
}

.fs-c-pagination__item {
  line-height: 0.8;
  padding: 8px;
}

.fs-c-pagination__item[role="button"] {
  cursor: pointer;
}

.fs-c-pagination__item[role="button"]:hover {
  text-decoration: none;
}

.fs-c-pagination__item.is-active {
  background: #999999;
  color: #ffffff;
}

.fs-c-pagination__item--prev {
  color: #000000;
  cursor: pointer;
  white-space: nowrap;
}

.fs-c-pagination__item--prev::before {
  font-family: 'fs-icon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "";
  display: block;
  font-size: 0.9em;
  line-height: 1;
}

.fs-c-pagination__item--prev:hover {
  opacity: 0.8;
}

.fs-c-pagination__item--next {
  color: #000000;
  cursor: pointer;
  white-space: nowrap;
}

.fs-c-pagination__item--next::before {
  font-family: 'fs-icon' !important;
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "";
  display: block;
  font-size: 0.9em;
  line-height: 1;
}

.fs-c-pagination__item--next:hover {
  opacity: 0.8;
}

[class*="fs-c-pagination__item--"] {
  width: 2em;
}

[class*="fs-c-pagination__item--"]::before {
  height: 1em;
  width: 1em;
}

[class*="fs-c-pagination__item--"].is-disabled {
  color: #999999;
  cursor: not-allowed;
}

.fs-c-productList__controller {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    margin: 0 0 3rem;
    border-bottom: 1px solid #999999;
}

.fs-c-sortItems {
    display: flex;
    align-items: stretch;
    font-size: 0.875rem;
	margin: 0;
}
@media screen and (min-width: 600px) {
  .fs-c-sortItems {
    border: none;
  }
}

.fs-c-sortItems__label {
    display: none;
}

.fs-c-sortItems__list {
  box-sizing: border-box;
  list-style: none;
  margin: 0;
  padding: 0;
  border-left: 1px solid currentColor;
  display: flex;
  flex-grow: 1;
  flex-direction: row;
  flex-wrap: wrap;
}

.fs-c-sortItems__list > li {
  box-sizing: border-box;
}

@media screen and (min-width: 600px) {
.fs-c-productList__controller > *, .fs-c-coordinationList__controller > *, .fs-c-staffList__controller > * {
  margin: 0.5rem 0;
}
  .fs-c-sortItems__list {
    border: none;
	font-size: 1rem;
  }
}

.fs-c-sortItems__list__item.is-active {
    background: #003d44;
    color: #ffffff;
}

.fs-c-sortItems__list__item__label {
    display: block;
    text-decoration: none;
    padding: 0 0.6em;
}

.fs-c-sortItems__list__item__label:active {
    border-bottom: 1px solid currentColor;
}


